--- title: "Updates the device with the given device ID and device information" slug: "updates-the-device-with-the-given-device-id-and-device-information" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/updates-the-device-with-the-given-device-id-and-device-information" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Updates the device with the given device ID and device information Patch/api/v1/devices/{deviceId} SecurityHTTPType bearer Path parametersdeviceIdintegerRequired The ID of the device to modify Body parameters The description and location attributes of the device. Expand Allobject descriptionstring ExampleDevice description hostnamestring iconobject namestring ipstring locationAttributesobject citystring countrystring statestring streetstring zipcodestring namestring siteobject idstring typestring tagsobject keystring valuestring Responses200 OK Expand Allobject authorizationboolean dataobject idinteger messagestring namestring error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden - Device in pending state Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean